cURL
curl --request POST \
--url https://api.juo.io/customer/v1/subscriptions/{subscriptionId}/discounts \
--header 'Content-Type: application/json' \
--header 'X-Delegated-Token: <api-key>' \
--header 'X-Tenant-ID: <x-tenant-id>' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.juo.io/customer/v1/subscriptions/{subscriptionId}/discounts"
payload = { "code": "<string>" }
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Delegated-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant-ID': '<x-tenant-id>',
'X-Delegated-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.juo.io/customer/v1/subscriptions/{subscriptionId}/discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "subscription-discount",
"title": "<string>",
"target": {
"type": "shipping"
},
"value": {
"amount": 123,
"type": "fixed-amount",
"appliesOnEachItem": true
},
"recurringCycleLimit": 2
}Subscription discounts
Create a subscription discount
Used to create a subscription discount.
POST
/
subscriptions
/
{subscriptionId}
/
discounts
cURL
Authorizations
DelegatedTokenAccessToken
Headers
Unique identifier of the tenant in the system (usually a store identifier)
Path Parameters
The subscription identifier
Body
application/json
Discount code to apply
Response
200 - application/json
Default Response
Available options:
subscription-discount The title of the discount shown to customers, typically displayed as a discount code.
Minimum string length:
1- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
The number of billing cycles for which this discount will be applied. After the recurring cycle limit is met the discount will be removed from the subscription.
Required range:
x >= 1⌘I